<?php
	require('conn.inc');
	
	function do_fetch($empno, $s) {
		// Fetch the results in an associative array
		print '<p>$empno is ' . $empno . '</p>';
		print '<table border="1">';
		while ($row = oci_fetch_array($s, OCI_RETURN_NULLS + OCI_ASSOC)) {
			print '<tr>';
			foreach ($row as $item) {
				print '<td>' . ($item ? htmlentities($item) : '&nbsp;') . '</td>';
			}
		print '</tr>';
		}
		print '</table>';
	}

	$c = oci_connect(USER, PASS, CONN); 

	// Use bind variable to improve resuability, and to remove SQL Injection attacks.
	$query = 'select * from emp where empno = :empno_bv';
	$s = oci_parse($c, $query);

	$empno = 101;
	oci_bind_by_name($s, ":empno_bv", $empno);
	oci_execute($s);
	do_fetch($empno, $s);

	// Redo query without reparsing SQL statement
	$empno = 104;
	oci_execute($s);
	do_fetch($empno, $s);

	oci_close($c);
?>