ALTER SYSTEM flush shared_pool; 

SET TIMING ON 
DECLARE 
  l_sql VARCHAR(100) := 'SELECT COUNT(*) FROM all_objects WHERE object_id = '; 
  l_cnt NUMBER := 0; 
BEGIN 
  FOR i IN 1..1000 LOOP 
    EXECUTE IMMEDIATE l_sql || i INTO l_cnt; 
  END LOOP; 
END; 
/


ALTER SYSTEM flush shared_pool; 
SET TIMING ON 
DECLARE 
  l_sql VARCHAR(100) := 'SELECT COUNT(*) FROM all_objects WHERE object_id = :id'; 
  l_cnt NUMBER := 0; 
BEGIN 
  FOR i IN 1..1000 LOOP 
    EXECUTE IMMEDIATE l_sql INTO l_cnt USING i; 
  END LOOP; 
END; 
/
