<?php
	require('conn.inc');
	// Tworzymy połączenie do bazy Oracle.
	$conn = oci_connect(USER, PASS, CONN); 
	
	if (!$conn) { 
		$error = oci_error();
		echo $error['message'], "\n";
		exit;
	} else {
		print "Podłączono do Oracle!";
}

	// Zamykamy połączenie do bazy Oracle.
	oci_close($conn);

/**
Pamiętaj, że w PHP:
 - apostrofy służą do ograniczania tekstu, w którym interpreter PHP 
   nie będzie szukał wywołań innych zmiennych 
 - w przypadku cudzysłowów interpreter PHP będzie szukam wywołań zmiennych
 - tekst w apostrofach jest nieco szybciej "czytany" przez interpreter PHP
   ale różnice są naprawdę minimalne i w praktyce pewnie (słabo) niezauważalne 
   
 Przykład:
 
	<?php
		$test = "jakiś tekst";
		echo "$test";
		// Na ekranie wyświetli się: "jakiś tekst"
	?>
  

	<?php
		$test = "jakiś tekst";
		echo '$test';
		// na ekranie wyświetli się: "$test"
      ?>
 */	
?>