DROP TABLE tab;
DROP SEQUENCE myseq;

CREATE TABLE tab (
	id NUMBER, 
	tekst VARCHAR2(20), 
	data DATE, 
	PRIMARY KEY (id)
);	 

CREATE SEQUENCE myseq START WITH 1000;

INSERT INTO tab(id, data) VALUES (myseq.NEXTVAL, sysdate);
INSERT INTO tab(id, data) VALUES (myseq.NEXTVAL, sysdate);
INSERT INTO tab(id, data) VALUES (myseq.NEXTVAL, sysdate);

COMMIT;

SELECT * FROM tab;
SELECT id, TO_CHAR(data,'dd-mm-yyyy, hh24:mi:ss') data FROM tab;